Subject: Re: How to create a windows link in script?
From: Joshua Franklin <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Tue, 19 Feb 2002 16:05:06 -0800 (PST)

> I would like to be able to create a .lnk file to a 
> batch file (and ideally associate an icon with it) 
> from a bash script on a Windows 2000 machine.

I've written a program that does just this. It's a
fully scriptable and can set icons. I'm 
hoping to get it included in cygwin sometime, but
I'm waiting until the new setup.exe comes out to 
bother developers with it. In the meantime, you can
get it at:

http://ns1.iocc.com/~joshua/mklink-0.1.tar.bz2

The archive is around 10K, source, (stripped) binary,
and some examples included. I'd also love some 
feedback on possible improvements--or from anyone on 
Win9x since I've got a setup like Randall's (Win2k, 
NTFS, etc.) The MS docs say it the calls should work 
on any windows, but you know...

I've not had any weird permission problems, though
figuring out whether folders on the Desktop exist only
for the current user or for all users can be tricky.

__________________________________________________
Do You Yahoo!?
Yahoo! Sports - Coverage of the 2002 Olympic Games
http://sports.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/